# $Revision: 1.71 $, $Date: 2009/03/02 10:43:54 $
Summary:	An open-source memory debugger
Summary(pl.UTF-8):	Otwarty odpluskwiacz pamięci
Name:		valgrind
Version:	3.4.1
Release:	1
License:	GPL
Group:		Development/Tools
Source0:	http://valgrind.org/downloads/%{name}-%{version}.tar.bz2
# Source0-md5:	b5f039dd2271aaf9ae570ab4116f87c7
Patch0:		%{name}-debuginfo.patch
URL:		http://valgrind.org/
BuildRequires:	autoconf
BuildRequires:	automake
# Needs libc.a
BuildRequires:	glibc-static
Obsoletes:	valgrind-callgrind
Obsoletes:	valgrind-calltree
ExclusiveArch:	%{ix86} %{x8664} ppc ppc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautostrip	.*/vgpreload.*\\.so
# ld portion broken
%undefine	with_ccache

%description
Valgrind is a GPL'd system for debugging and profiling Linux programs.
With the tools that come with Valgrind, you can automatically detect
many memory management and threading bugs, avoiding hours of frustrating
bug-hunting, making your programs more stable. You can also perform
detailed profiling to help speed up your programs.

%description -l pl.UTF-8
Valgrind jest systemem służącym do odpluskwiania i profilowania
programów na Linuksie. Używając dostarczanych z nim narzędzi można
automatycznie wykrywać wiele błędów związanych z zarządzaniem pamięcią i
wątkowaniem, dzięki czemu unika się frustrującego polowania na błędy, a
także czyni się programy bardziej stabilnymi. Możliwe jest również
dokładne profilowanie, dzięki któremu programy zaczną szybciej pracować.

%prep
%setup -q
%patch0 -p1

sed -i -e 's:^CFLAGS="-Wno-long-long":CFLAGS="$CFLAGS -Wno-long-long":' configure.in

%build
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
%if %{_lib} != "lib"
	--enable-only64bit \
%endif
	LDFLAGS="" # no strip!
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf _docs
mv $RPM_BUILD_ROOT%{_docdir}/valgrind _docs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ACKNOWLEDGEMENTS AUTHORS FAQ.txt NEWS README README_MISSING_SYSCALL_OR_IOCTL
%doc _docs/html
%doc _docs/valgrind_manual.pdf
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/*-linux
%attr(755,root,root) %{_libdir}/%{name}/*-linux/*
%{_libdir}/%{name}/*.supp
%{_includedir}/*
%{_pkgconfigdir}/*.pc
%{_mandir}/man1/*.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: valgrind.spec,v $
Revision 1.71  2009/03/02 10:43:54  arekm
- up to 3.4.1

Revision 1.70  2009/02/13 23:03:32  adamg
- CVE entry for 3.4.0

Revision 1.69  2009/01/07 10:50:13  duddits
- up to 3.4.0
  [ resolves CVE-2008-4865 ]

Revision 1.68  2008/06/21 17:32:01  wolf
- 3.3.1

Revision 1.67  2008-06-11 15:51:17  hawk
- release 2

Revision 1.66  2008-06-03 10:11:50  megabajt
- added -glibc28.patch
- release 1

Revision 1.65  2007-12-14 06:44:54  adamg
- updated to 3.3.0

Revision 1.64  2007-11-14 23:17:07  arekm
- rel 4; copy glibc 2.6 support as 2.7

Revision 1.63  2007/10/18 17:50:06  wolf
- spaces to tabs

Revision 1.62  2007/09/11 11:31:42  wolf
- glibc 2.6 fix

Revision 1.61  2007/04/21 12:41:10  wolf
- fix accessing debuginfo data
- rel 2

Revision 1.60  2007/02/12 22:09:19  glen
- tabs in preamble

Revision 1.59  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.58  2007/02/12 00:29:31  wolf
- 3.2.3

Revision 1.57  2006/08/04 08:44:29  wolf
- nop patch
- rel 2

Revision 1.56  2006/06/23 08:43:08  qboosh
- added ppc64 to EA

Revision 1.55  2006/06/22 18:51:59  wolf
- 3.2.0

Revision 1.54  2006/05/19 15:52:09  glen
- no %files from $RPM_BUILD_ROOT (confuses check-files)
- amd64 is back, but without multilib

Revision 1.53  2006/05/19 15:15:32  wolf
- 3.1.1

Revision 1.52  2006/05/02 19:43:43  pluto
- EA -= x8664 (valgrind contains 32-bit assembly
               and configure check for -m32).
